import { ISpotlightOptions } from "../utils/options/ISpotlightOptions";
import { IElementInformation } from "../utils/IElementInformation";
export default class Actor {
    private readonly root;
    private readonly name;
    private readonly _options;
    constructor(root: HTMLElement, options?: ISpotlightOptions);
    get options(): ISpotlightOptions;
    getInformation(): IElementInformation;
    private _isOutOfViewport;
    scrollIntoView(options: ISpotlightOptions): void;
    toString(): string;
}
